part of tecfy_core_client_package;

class PropertyFile extends Property {
  int maxSize;
  String allowedExtentions;
  bool isImage = false;

  PropertyFile({dbName, nameAr, nameEn, width, size, this.isImage})
      : super(
            propertyType: PropertyTypes.File,
            dbName: dbName,
            nameAr: nameAr,
            nameEn: nameEn,
            valueType: ValueTypes.Text,
            width: width,
            size: size);

  PropertyFile.fromMap(Map<String, dynamic> row) : super.fromMap(row) {
    maxSize = row['maxSize'];
    allowedExtentions = row['allowedExtentions'];
    isImage = row['isImage'];
  }
  @override
  OperationResult isValid(data) {
    if (!super.isValid(data).success) return super.isValid(data);

    return OperationResult(success: true);
  }

  Widget getDisplayWidget(Map<String, dynamic> data,
      {double size = 12, Color color = Colors.black}) {
    return Text('Get FileName');
  }

  Future<bool> getDefaultValue(Map<String, dynamic> data) async {
    if (data[dbName] != null) return false;

    return false;
  }
}
