part of tecfy_core_client_package;

class DashboardItemBase extends BaseModel {
  String type;
  int order;
  String dbName;
  String titleAr;
  String titleEn;
  String descriptionAr;
  String descriptionEn;
  String get title =>
      LocalConfigService.isArabic ? titleAr ?? titleEn : titleEn ?? titleAr;
  int size;
  int natchNumber;
  dynamic value;
  String onClick;
  @override
  String get displayName => title;

  @override
  String get idValue => dbName;

  DashboardItemBase.fromMap(Map<String, dynamic> map) {
    if (map == null) return;
    type = map['type'];
    order = map['order'];
    dbName = map['dbName'];
    titleAr = map['titleAr'];
    titleEn = map['titleEn'];
    descriptionAr = map['descriptionAr'];
    descriptionEn = map['descriptionEn'];
    onClick = map['onClick'];
  }
}
