part of tecfy_core_client_package;

class Package {
  int type;
  bool isValid = true;
  DateTime time;
  dynamic data;
  Package({this.type, this.data});
  Package.fromMap(Map<String, dynamic> row) {
    type = row['type'];
    time = DateTime.now().toUtc();
    switch (type) {
      case PackageType.newNotification:
        data = NotificationApp.fromMap(row['data']);
        break;
      case PackageType.newMultiNotification:
        data = row['data'].map((dn) => NotificationApp.fromMap(dn)).toList();
        break;
      case PackageType.newMessage:
        data = Message.fromMap(row['data']);
        break;
      case PackageType.newMiltiMessage:
        data = row['data'].map((dn) => Message.fromMap(dn)).toList();
        break;
      default:
        isValid = false;
    }
  }
}
