part of tecfy_core_client_package;

class PropertyBoolean extends Property {
  bool defaultValue;

  PropertyBoolean.fromMap(Map<String, dynamic> row) : super.fromMap(row) {
    //defaultValue = row['defaultValue'];
  }
  @override
  OperationResult isValid(data) {
    if (!super.isValid(data).success) return super.isValid(data);

    return OperationResult(success: true);
  }

  Widget getDisplayWidget(Map<String, dynamic> data,
      {double size = 12, Color color = Colors.black}) {
    return Transform.scale(
        scale: 0.8,
        child: SizedBox(
            height: 15.0,
            width: 15.0,
            child: (data[dbName] ?? false)
                ? Checkbox(value: true, onChanged: null)
                : Checkbox(value: false, onChanged: null)));
  }

  Future<bool> getDefaultValue(Map<String, dynamic> data) async {
    if (data[dbName] != null) return false;
    if (defaultString.isNotEmpty) {
      data[dbName] = (defaultString.toLowerCase() == "true");
      return true;
    } else if (isRequired) {
      data[dbName] = false;
      return true;
    }
    return false;
  }
}
