part of tecfy_core_client_package;

class PropertyOneToMany extends Property {
  String propertyName;
  String entityName;

  PropertyOneToMany.fromMap(Map<String, dynamic> row) : super.fromMap(row) {
    propertyName = lowerFirst(row['propertyName']);
    entityName = lowerFirst(row['entityName']);
  }
  @override
  OperationResult isValid(data) {
    if (!super.isValid(data).success) return super.isValid(data);

    return OperationResult(success: true);
  }

  Widget getDisplayWidget(Map<String, dynamic> data,
      {double size = 12, Color color = Colors.black}) {
    return Text('OneToMany');
  }

  Future<bool> getDefaultValue(Map<String, dynamic> data) async {
    if (data[dbName] != null) return false;

    return false;
  }
}
